summaryrefslogtreecommitdiffstats
path: root/desktop/QtCurve-KDE3
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:43:44 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:43:44 +0200
commit9b12439823484244b559094646bb592a5b9f7846 (patch)
treee52bd85dc855845c0ff816b4a64070ff39735a07 /desktop/QtCurve-KDE3
parent0778f1b46abce2f348a69d8bfae638ae71070a30 (diff)
downloadslackbuilds-9b12439823484244b559094646bb592a5b9f7846.tar.gz
slackbuilds-9b12439823484244b559094646bb592a5b9f7846.tar.xz
desktop/QtCurve-KDE3: Updated for version 0.57.1
Diffstat (limited to 'desktop/QtCurve-KDE3')
-rw-r--r--desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild62
-rw-r--r--desktop/QtCurve-KDE3/QtCurve-KDE3.info8
-rw-r--r--desktop/QtCurve-KDE3/README8
-rw-r--r--desktop/QtCurve-KDE3/slack-desc16
4 files changed, 66 insertions, 28 deletions
diff --git a/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild b/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
index d893114759..a880c3b632 100644
--- a/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
+++ b/desktop/QtCurve-KDE3/QtCurve-KDE3.SlackBuild
@@ -1,15 +1,35 @@
#!/bin/sh
# Slackware build script for: QtCurve-KDE3
-# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
-set -e
+# Copyright 2007-2008 Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=QtCurve-KDE3
-VERSION=0.50
+VERSION=0.57.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -23,25 +43,33 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/opt/kde \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --disable-debug
-
-make
-make install-strip DESTDIR=$PKG
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+
+make VERBOSE=1
+make install VERBOSE=1 DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/desktop/QtCurve-KDE3/QtCurve-KDE3.info b/desktop/QtCurve-KDE3/QtCurve-KDE3.info
index 4c0baedc4a..9584bf4ece 100644
--- a/desktop/QtCurve-KDE3/QtCurve-KDE3.info
+++ b/desktop/QtCurve-KDE3/QtCurve-KDE3.info
@@ -1,8 +1,8 @@
PRGNAM="QtCurve-KDE3"
-VERSION="0.50"
+VERSION="0.57.1"
HOMEPAGE="http://www.kde-look.org/content/show.php?content=40492"
-DOWNLOAD="http://home.freeuk.com/cpdrummond/QtCurve-KDE3-0.50.tar.gz"
-MD5SUM="35d1977d4474815e42c31b8ec27600ba"
+DOWNLOAD="http://home.freeuk.com/cpdrummond/QtCurve-KDE3-0.57.1.tar.bz2"
+MD5SUM="54f6e1268609bcce21094922426b20da"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="David Somero"
diff --git a/desktop/QtCurve-KDE3/README b/desktop/QtCurve-KDE3/README
index 3ed08340ef..8512d77a60 100644
--- a/desktop/QtCurve-KDE3/README
+++ b/desktop/QtCurve-KDE3/README
@@ -1,3 +1,5 @@
-QtCurve (a native theme/style for KDE3)
-This is a set of widget styles for KDE3 based apps. The underlying architecture
-is based upon Blue/FreeCurve; however, *extensive* modifications have been made.
+QtCurve (a native theme/style for KDE3 )
+
+This is a set of widget styles for KDE3 based apps. The underlying work is
+based upon Blue/FreeCurve - however, *extensive* modifications have been
+made.
diff --git a/desktop/QtCurve-KDE3/slack-desc b/desktop/QtCurve-KDE3/slack-desc
index 505c1ca4fa..23ee24ddc0 100644
--- a/desktop/QtCurve-KDE3/slack-desc
+++ b/desktop/QtCurve-KDE3/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
QtCurve-KDE3: QtCurve (a native theme/style for KDE3 )
QtCurve-KDE3:
-QtCurve-KDE3: This is a set of widget styles for KDE3 based apps.
-QtCurve-KDE3: The underlying architecture is based upon Blue/FreeCurve;
-QtCurve-KDE3: however, *extensive* modifications have been made.
+QtCurve-KDE3: This is a set of widget styles for KDE3 based apps. The
+QtCurve-KDE3: underlying is based upon Blue/FreeCurve - however *extensive*
+QtCurve-KDE3: modifications have been made. From 0.39 onwards the KDE and
+QtCurve-KDE3: Gtk styles will be in separate archives.
QtCurve-KDE3:
QtCurve-KDE3: http://www.kde-look.org/content/show.php?content=40492
-QtCurve-KDE3:
QtCurve-KDE3:
QtCurve-KDE3:
QtCurve-KDE3: